
Name:            k3b
Version:         23.08.5
Release:         %mkrel 1
License:         GPLv2+
URL:             http://www.k3b.org/
Group:           Graphical desktop/KDE5
BuildRoot:       %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Source0:         %{name}-%{version}.tar.xz
Source2:	 	 k3b.png
Summary:         CD-Burner for KDE5
Summary(de):	 CD-Brenner für KDE45
Requires:        cdrecord
Requires:        mkisofs
Requires:        cdrdao
Requires:        sox
Requires:        vcdimager
Requires:        normalize
Requires:        dvd+rw-tools
Requires:        cdrskin
Requires:        kinit
#---------------------------------------
BuildRequires: cmake
BuildRequires: desktop-file-utils
BuildRequires: grep
BuildRequires: lib64dvdread-devel
BuildRequires: lib64ffmpeg-devel
BuildRequires: lib64kcddb5-devel
BuildRequires: lib64kcodecs-devel
BuildRequires: lib64kconfig-devel
BuildRequires: lib64kcoreaddons-devel
BuildRequires: lib64kf5archive-devel
BuildRequires: lib64kf5auth-devel
BuildRequires: lib64kf5bookmarks-devel
BuildRequires: lib64kf5completion-devel
BuildRequires: lib64kf5configwidgets-devel
BuildRequires: lib64kf5filemetadata-devel
BuildRequires: lib64kf5i18n-devel
BuildRequires: lib64kf5iconthemes-devel
BuildRequires: lib64kf5jobwidgets-devel
BuildRequires: lib64kf5kcmutils-devel
BuildRequires: lib64kf5newstuff-devel
BuildRequires: lib64kf5notifications-devel
BuildRequires: lib64kf5notifyconfig-devel
BuildRequires: lib64kf5service-devel
BuildRequires: lib64kf5solid-devel
BuildRequires: lib64kf5widgetsaddons-devel
BuildRequires: lib64kf5xmlgui-devel
BuildRequires: lib64kio-devel
BuildRequires: lib64kitemviews-devel
BuildRequires: lib64lame-devel
BuildRequires: lib64mad-devel
#BuildRequires: lib64mpcdec-devel
BuildRequires: lib64musicbrainz-devel
BuildRequires: lib64ogg-devel
BuildRequires: lib64qt5core-devel
BuildRequires: lib64qt5dbus-devel
BuildRequires: lib64qt5gui-devel
BuildRequires: lib64qt5network-devel
BuildRequires: lib64qt5widgets-devel
BuildRequires: lib64qt5xml-devel
BuildRequires: lib64samplerate-devel
BuildRequires: lib64sndfile-devel
BuildRequires: lib64taglib-devel
BuildRequires: lib64vorbis0-devel
BuildRequires: lib64kdoctools-devel
BuildRequires: lib64flac++10-devel
BuildRequires: lib64flac12-devel

#-------------------------------------------
%description
K3b is CD-writing software which intends to be feature-rich and
provide an easily usable interface. Features include burning
audio CDs from .WAV and .MP3 audio files, configuring external
programs and configuring devices.

%description -l de
K3b ist ein CD-Brennprogramm das beabsichtigt viele Fähigkeiten 
unter einer einfachen Benutzeroberfläche zu vereinen. Die Merkmale 
beinhalten brennen von Audio CD's von .WAV und .MP3, Konfiguration 
von exteren Programmen und Konfigurationsgeräten.

%post
%{update_desktop_database}
%update_icon_cache hicolor

%postun
%{clean_desktop_database}
%clean_icon_cache hicolor

%files 
%defattr(-,root,root)
%{_bindir}/k3b
%{_libdir}/libk3bdevice.so.*
%{_libdir}/libk3blib.so.*
%{_libdir}/qt5
%{_datadir}
%{_libexecdir}/kauth/k3bhelper
#------------------------------------------------

%package devel
Group: Development/Libraries
Summary: Development libraries from %name
Summary(de): Entwicklerdateien von %name
Provides:        kde-k3b-devel

%description devel
Development libraries from %name
#german
%description devel -l de
%{summary}.

%files devel
%defattr(-,root,root,-)
%{_includedir}
%{_libdir}/libk3bdevice.so
%{_libdir}/libk3blib.so

#------------------------------------------------
%package -n k3b-handbook
Summary: Handbook package for k3b
Group: Documentation
Requires: k3b
BuildArch: noarch

%description -n k3b-handbook
This package provides the handbook for k3b

%files -n k3b-handbook
%{_datadir}/doc/HTML


%prep
%setup -q

%build
export CFLAGS="$CFLAGS -O3 -pipe -ffast-math"

%cmake_kf5 -GNinja -DK3B_ENABLE_PERMISSION_HELPER=ON -Wno-dev
%ninja_build

%install
rm -rf %buildroot
%ninja_install -C build

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-System-Archiving-CDBurning" \
  --dir %buildroot%{_datadir}/applications %buildroot%{_datadir}/applications/*.desktop

mkdir -p %buildroot%{_datadir}/pixmaps
install -m 0644 %SOURCE2 %buildroot%{_datadir}/pixmaps


%clean
rm -rf %buildroot
rm -rf $RPM_BUILD_DIR/%{name}-%{version} 


%changelog
* Thu Feb 15 2024 tex - 23.08.5-1pclos2024
- new version

* Fri Dec 08 2023 tex - 23.08.4-1pclos2023
- new version

* Thu Nov 09 2023 tex - 23.08.3-1pclos2023
- new version

* Thu Oct 12 2023 tex - 23.08.2-1pclos2023
- new version

